Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.util
Class ObjectIdMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.IdentityHashMap<Object,Object>
              com.fasterxml.jackson.databind.util.ObjectIdMap

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class ObjectIdMap

extends IdentityHashMap<Object,Object>

Map used during serialization, to keep track of referable Objects along with lazily evaluated ids.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`ObjectIdMap()`

Method Summary
`Object` | `findId(Object pojo)` Method that is called to figure out whether we have already seen given POJO: if yes, we will return its id (first looking it up as necessary); if not, we will mark down that we have seen it but return null.
`void` | `insertId(Object pojo, Object id)`

Methods inherited from class java.util.IdentityHashMap
`clear, clone, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectIdMap

    public ObjectIdMap()

Method Detail

### findId

    public Object findId(Object pojo)

  Method that is called to figure out whether we have already seen given POJO: if yes, we will return its id (first looking it up as necessary); if not, we will mark down that we have seen it but return null.

### insertId

    public void insertId(Object pojo,
                         Object id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.